Last Comment Bug 1305850 - Assert failed in checkConstructorArguments(525): !type.isUnsizedArray()
: Assert failed in checkConstructorArguments(525): !type.isUnsizedArray()
Status: RESOLVED FIXED
[gfx-noted]
: assertion, testcase
Product: Core
Classification: Components
Component: Canvas: WebGL (show other bugs)
: Trunk
: Unspecified Unspecified
P3 normal (vote)
: mozilla53
Assigned To: Ethan Lin[:ethlin]
:
: Jeff Gilbert [:jgilbert]
Mentors:
Depends on: 1319004
Blocks: grizzly
  Show dependency treegraph
 
Reported: 2016-09-27 14:39 PDT by Jesse Schwartzentruber (:truber)
Modified: 2017-10-11 14:59 PDT (History)
4 users (show)
RyanVM: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
fixed


Attachments
testcase.html (312 bytes, text/html)
2016-09-27 14:39 PDT, Jesse Schwartzentruber (:truber)
no flags Details
log.txt (144.35 KB, text/plain)
2016-09-27 14:40 PDT, Jesse Schwartzentruber (:truber)
no flags Details

Description User image Jesse Schwartzentruber (:truber) 2016-09-27 14:39:52 PDT
Created attachment 8795498 [details]
testcase.html

The attached testcase causes an assertion in Angle in mozilla-central revision 66a77b9bfe5d.

err: checkConstructorArguments(525): 	! Assert failed in checkConstructorArguments(525): !type.isUnsizedArray()

firefox: /home/worker/workspace/build/src/gfx/angle/src/compiler/translator/ParseContext.cpp:525: bool TParseContext::checkConstructorArguments(const TSourceLoc &, TIntermNode *, const TFunction &, TOperator, const TType &): Assertion `!type.isUnsizedArray()' failed.

Backtrace:

#4  0x00007fffe2685bdc in TParseContext::checkConstructorArguments(TSourceLoc const&, TIntermNode*, TFunction const&, TOperator, TType const&) (this=0x7fffffff2460, line=..., argumentsNode=0x0, function=..., op=EOpConstructVec4, type=...) at /home/worker/workspace/build/src/gfx/angle/src/compiler/translator/ParseContext.cpp:525
#5  0x00007fffe268da02 in TParseContext::addConstructor(TIntermNode*, TOperator, TFunction*, TSourceLoc const&) (this=0x7fffffff2460, arguments=0x0, op=EOpConstructVec4, fnCall=<optimized out>, line=...) at /home/worker/workspace/build/src/gfx/angle/src/compiler/translator/ParseContext.cpp:2298
#6  0x00007fffe2694cac in TParseContext::addFunctionCallOrMethod(TFunction*, TIntermNode*, TIntermNode*, TSourceLoc const&, bool*) (this=0x7fffffff2460, fnCall=0x62500114e5b0, paramNode=0x0, thisNode=0x0, loc=..., fatalError=<optimized out>) at /home/worker/workspace/build/src/gfx/angle/src/compiler/translator/ParseContext.cpp:3980
#7  0x00007fffe25b65f8 in yyparse(TParseContext*, void*) (context=<optimized out>, scanner=0x60f000305bf0) at /home/worker/workspace/build/src/gfx/angle/src/compiler/translator/glslang_tab.cpp:2500
#8  0x00007fffe26957ff in PaParseStrings(unsigned long, char const* const*, int const*, TParseContext*) (count=1, string=0x7fffffff2ce0, length=0x0, context=0x7fffffff2460) at /home/worker/workspace/build/src/gfx/angle/src/compiler/translator/ParseContext.cpp:4146
#9  0x00007fffe25f395a in TCompiler::compileTreeImpl(char const* const*, unsigned long, int) (this=0x6190009aa180, shaderStrings=0x7fffffff2ce0, numStrings=0, compileOptions=16971916) at /home/worker/workspace/build/src/gfx/angle/src/compiler/translator/Compiler.cpp:239
#10 0x00007fffe25f7b3c in TCompiler::compile(char const* const*, unsigned long, int) (this=<optimized out>, shaderStrings=0x7fffffff2ce0, numStrings=<optimized out>, compileOptionsIn=<optimized out>) at /home/worker/workspace/build/src/gfx/angle/src/compiler/translator/Compiler.cpp:426
#11 0x00007fffdf0d2913 in mozilla::webgl::ShaderValidator::ValidateAndTranslate(char const*) (this=<optimized out>, source=0x6040005ad4d8 "void main("...) at /home/worker/workspace/build/src/dom/canvas/WebGLShaderValidator.cpp:215
Comment 1 User image Jesse Schwartzentruber (:truber) 2016-09-27 14:40:13 PDT
Created attachment 8795499 [details]
log.txt
Comment 2 User image Julien Cristau [:jcristau] 2017-04-04 13:33:28 PDT
Mass wontfix for bugs affecting firefox 52.
Comment 3 User image Ryan VanderMeulen [:RyanVM] 2017-09-22 14:45:03 PDT
This was fixed by the ANGLE update in 1319004. NI myself to land a crashtest.
Comment 4 User image Pulsebot 2017-10-11 09:03:17 PDT
Pushed by ryanvm@gmail.com:
https://hg.mozilla.org/integration/mozilla-inbound/rev/50c0948e975c
Add crashtest. r=me
Comment 5 User image Ryan VanderMeulen [:RyanVM] 2017-10-11 14:59:43 PDT
https://hg.mozilla.org/mozilla-central/rev/50c0948e975c

Note You need to log in before you can comment on or make changes to this bug.